aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/ti/ti-dsplink.inc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/ti/ti-dsplink.inc')
-rw-r--r--recipes/ti/ti-dsplink.inc19
1 files changed, 11 insertions, 8 deletions
diff --git a/recipes/ti/ti-dsplink.inc b/recipes/ti/ti-dsplink.inc
index aec2742f87..119211e906 100644
--- a/recipes/ti/ti-dsplink.inc
+++ b/recipes/ti/ti-dsplink.inc
@@ -172,16 +172,19 @@ PACKAGES += "ti-dsplink-module"
FILES_ti-dsplink-module = "/lib/modules/${KERNEL_VERSION}/kernel/drivers/dsp/dsplinkk.ko"
RDEPENDS_ti-dsplink-module += "update-modules"
-pkg_postinst_ti-dsplink-module_append () {
- if [ -n "$D" ]; then
- exit 1
- fi
- depmod -a
- update-modules || true
+pkg_postinst_ti-dsplink-module () {
+#!/bin/sh
+if [ -n "$D" ]; then
+ exit 1
+fi
+
+depmod -a
+update-modules || true
}
-pkg_postrm_ti-dsplink-module_append () {
- update-modules || true
+pkg_postrm_ti-dsplink-module () {
+#!/bin/sh
+update-modules || true
}
PACKAGES += "ti-dsplink-examples"